Check out our upcoming events and meetups! View events →
Updates the name of a voice design. All versions retain their other properties.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.voiceDesigns.rename('id', { name: 'updated-narrator' });
console.log(response.data);{
"data": {
"record_type": "voice_design",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "updated-narrator",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-02T00:00:00Z"
}
}Documentation Index
Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
Use this file to discover all available pages before exploring further.
The voice design UUID or name.
Request body for renaming a voice design.
New name for the voice design.
1 - 255Voice design renamed successfully.
Response envelope for a voice design after a rename operation (no version-specific fields).
A summarized voice design object (without version-specific fields).
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.voiceDesigns.rename('id', { name: 'updated-narrator' });
console.log(response.data);{
"data": {
"record_type": "voice_design",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "updated-narrator",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-02T00:00:00Z"
}
}